Package org.mariadb.jdbc.type

## Interface Geometry

All Known Implementing Classes:
  `GeometryCollection`, `LineString`, `MultiLineString`, `MultiPoint`, `MultiPolygon`, `Point`, `Polygon`

    public interface Geometry

Geometry parser

### Method Summary

Static Methods
`static Geometry` `getGeometry​(org.mariadb.jdbc.client.ReadableByteBuf buf, int length, org.mariadb.jdbc.client.Column column)` parse geometry object
`static Point` `parsePoint​(boolean littleEndian, org.mariadb.jdbc.client.ReadableByteBuf buf)` Parse point from packet

### Method Detail

#### parsePoint

    static Point parsePoint​(boolean littleEndian,
                            org.mariadb.jdbc.client.ReadableByteBuf buf)

Parse point from packet

Parameters:
  `littleEndian` - encoding order
  `buf` - packet buffer
Returns:
  point value

#### getGeometry

    static Geometry getGeometry​(org.mariadb.jdbc.client.ReadableByteBuf buf,
                                int length,
                                org.mariadb.jdbc.client.Column column)
                         throws SQLDataException

parse geometry object

Parameters:
  `buf` - packet buffer
  `length` - data length
  `column` - column meta
Returns:
  geometry parsed object
Throws:
  `SQLDataException` - if parsing exception occurs